﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaEnquiry>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    CommonUtil util = new CommonUtil();
}
@section scripts{

    @*<script src="~/Scripts/ChildAddEdit.js"></script>*@

    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">

        function AddCopy(a) {
            if (confirm("Are you sure to copy this enquiry")) {
                window.open("/MaEnquiry/CopyEnq/" + a, 'newwindow');
            }
        }

        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "order": [[1, "desc"]],
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>

    <script src="~/Scripts/HighestQuali.js"></script>

    <style type="text/css">
        div.box div.overlay { display: none; }
        span:hover { color: orangered !important; font-weight: 700; }
        span { color: #369ECE !important; }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>



    <script type="text/javascript">
        $(document).ready(function () {
            $("#totalcount").text($("#hiddencount").val());
            $("#enqstatus").val($("#hiddenenqst").val());

            $("#UserList").val($("#hdnuser").val());


            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');
            $("#enqstatus").css('width', '80px');
            $("#enquiryabt").css('width', '150px');

            $("#CampusList").css('width', '150px');
            $("#CourseGroup").css('width', '150px');


            $("#enquiryabt").val($("#hiddenqabut").val());

            $("#enqstatus").val($("#hiddenenqst").val());

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });



        });

    </script>
    <script>
        deleterecord("MaEnquiry");

        $("#Searchbtn").click(function () {
            searchfun();

        });

        function searchfun() {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var father = $("#txtfname").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var enqstatus = $("#enqstatus").val();
            var enquiryabout = $("#CourseGroup").val();
            var enqno = $("#txtenqName").val();
            var campus = $("#CampusList").val();

            window.location.href = "/MaEnquiry/Searchforenquiry?name=" + name.replace('undefined', '') + "&enqno=" + enqno.replace('undefined', '') + "&mobile=" + mobile.replace('undefined', '') + "&father=" + father.replace('undefined', '') + "&usr=" + usr + "&camp=" + campus + "&enqstatus=" + enqstatus + "&enquiryabout=" + enquiryabout;

            $("#UserList").val(usr);

        }
    </script>

}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Enquiry List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px;" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                <b>Enq No.</b>
            </td>
            <td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="width: 120px">
                <b>Father's Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            @if (StaticLogic.SubRole() == "Moderate" || StaticLogic.SubRole() == "Max")
            {

                <td>
                    <b>Enq Handled by</b>
                </td>
            }
            @if (StaticLogic.SubRole() == "Max")
            {

                <td style="max-width:150px;">
                    <b>Branch</b>
                </td>
                <td>
                    <b>  Enquiry Status</b>
                </td>

                <td width="150">
                    <b>Enquiry About</b>
                </td>
            }
            <td align="left"></td>
        </tr>
        <tr>
            <td>
                <input type="text" style="width: 70px" id="txtenqName" value="@ViewBag.EnqNo" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtname" value="@ViewBag.name" />
            </td>

            <td>
                <input type="text" style="width: 120px" id="txtfname" value="@ViewBag.fname" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
            @if (StaticLogic.SubRole() == "Moderate" || StaticLogic.SubRole() == "Max")
            {
                <td align="left">
                    @Html.DropDownList("UserList", "All")
                    <input id="hdnuser" type="hidden" value="@ViewBag.usr" />
                </td>
            }
            @if (StaticLogic.SubRole() == "Max")
            {

                <td align="left">
                    @Html.DropDownList("CampusList", "All")
                    <input id="hdnuser" type="hidden" value="@ViewBag.campus" />
                </td>
                <td align="left">
                    <select id="enqstatus">
                        <option value="All">All</option>
                        <option value="Open">Open</option>
                        <option value="Close">Close</option>
                    </select>
                    <input type="hidden" value="@ViewBag.Enqst" id="hiddenenqst" />
                </td>
                <td align="left">

                    @Html.DropDownList("CourseGroup", "All")


                    <input type="hidden" value="@ViewBag.enquabt" id="hiddenqabut" />
                </td>
            }
            <td style="vertical-align: top"></td>
        </tr>
        <tr>
            <td colspan="8">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well" style="overflow-x:scroll;">
            <table class="table table-striped table-hover" id="example">
                <thead>
                    <tr>
                        <th>
                            Actions
                        </th>
                        <th>
                            Enquiry No
                        </th>
                        <th>
                            Branch
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Demo Time
                        </th>

                        <th>
                            Enq. About
                        </th>
                        <th>
                            Visa Type
                        </th>
                        <th>
                            Type
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Enq. Date
                        </th>
                        <th>
                            Next Follow Up
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Enq. Status
                        </th>
                        <th>
                            Enq Handle By
                        </th>

                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                        int count = 0;

                    }
                    @foreach (var item in Model)
                    {

                        <tr>
                            <td>
                                <a href="/maenquiry/edit/@item.Id" target="_blank" title="Edit"><img src="../../Content/themes/base/images/Edit.png" /></a>

                                @{if (utype == CommonUtil.UserTypeSuperAdmin)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaEnquiry", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                                }
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })

                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Create", "MaEnqFollow", new { id = item.Id, reftype = "Enquiry", name = item.FirstName + " " + item.LastName, refno = item.Id }, new { @class = "editAcBtn" }, null)

                                @Html.ImageActionLink("../../Content/themes/base/images/add.png", "Add Highest Qualification", "CallHighest", new { id = item.Id })

                                @{
                                    if (item.FEnqstatus == "Open")
                                    {
                                        if (item.IsAdmission == false)
                                        {
                                            @Html.ImageActionLink("../../Content/themes/base/images/Admission.png", "Move To Admission", "Create", "MaAdmission", new { id = item.Id }, null, null)

                                        }
                                        <a href="/Tb_IELTSResult/Create/@item.Id" title="Go to Exam"><i class="icon-fast-forward icon-5x"></i></a>
                                    }
                                }
                                @{
                                    if (item.UFile != null && item.UFile != "NoImage.jpg")
                                    {
                                        <a href="~/Uploads/Enquiry/@item.UFile" download="UFile" title="Download Walkin form"><i class="icon-download" style="font-size:25px"></i></a>
                                    }
                                }

                                @if (util.GetCopyId(item.Id) == 0)
                                {
                                    if (item.CopyFrom == null)
                                    {
                                        <a href="#" title="Copy Enquiry" onclick="AddCopy(@item.Id);"><img src="/images/copy.png" /></a>
                                    }
                                }

                            </td>

                            <td>
                                <input type="hidden" class="@i" value="@item.Id" />
                                @Html.DisplayFor(modelItem => item.Id)
                            </td>
                            <td>

                                @{
                                    int? bid = item.BranchId;
                                    string bname = db.MaBranches.Find(bid).BramchName;
                                }

                                @bname
                            </td>
                            <td>
                                <span onmouseover="showdetail(@item.Id)" onmouseout="hidedetail();">
                                    @Html.DisplayFor(modelItem => item.FirstName)
                                    @Html.DisplayFor(modelItem => item.LastName)
                                </span>

                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ClassDate)
                                @{
                                    int gid = Convert.ToInt32(item.Grouptime);
                                    string gtime = "";
                                    try
                                    {
                                        gtime = db.MaGroupTime_View.Where(w => w.Timeid == gid).Select(s => s.BatchTime).First();
                                    }
                                    catch (Exception) { }
                                }
                                @gtime

                            </td>

                            <td>

                                @Html.DisplayFor(modelItem => item.EnqAbt)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.VisaType)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.EnqType)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                                @Html.DisplayFor(modelItem => item.AlternateNo)
                            </td>
                            <td>
                                @{
                                    string cdate = string.Format("{0:dd MMM, yyyy}", item.WalkInDate);
                                }
                                @cdate
                            </td>

                            <td>

                                @{
                                    string nxtdate = "";
                                    try
                                    {
                                        nxtdate = string.Format("{0:dd MMM, yyyy}", item.FNextDate);
                                    }
                                    catch (Exception)
                                    {
                                    }
                                }

                                @nxtdate
                            </td>
                            <td width="100px" style="overflow: hidden">
                                @{
                                    string rem = item.FRemarks;

                                    if (rem != null)
                                    {
                                        if (rem.Length > 20)
                                        {
                                            string sustrg = rem.Substring(0, 20);
                                            @sustrg
                                            <br />

                                                                <div class="box">
                                                                    <a id="remarks">Read-More...</a>
                                                                    <div class="overlay">
                                                                        @rem.Substring(20)
                                                                    </div>
                                                                </div>
                                        }
                                        else
                                        {
                                            @rem
                                        }
                                    }
                                }
                            </td>
                            <td>

                                @item.FEnqstatus
                            </td>
                            <td>
                                @{
                                    int? id = item.EnqHandledBy;
                                    string uname = db.Users.Find(id).Fullname;
                                }

                                @uname
                            </td>

                        </tr>

                                    }
                </tbody>
            </table>
            <input type="hidden" value="@count" id="hiddencount" />
        </div>

        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>

    </div>
</div>
